Subject: bug#1742: 23.0.60; ediff-skip-merge-regions-that-differ-from-default breaks simple ediffs

From: Andrew Hyatt <[email-masked]>
Date: Mon, 04 Jan 2016 23:21:03 -0500

Did this end up getting fixed?  I can't reproduce this on Emacs 25.

I'll close this if I don't hear anything in a week or so.

Michael Kifer <[email-masked]> writes:

> will fix this soon
>
> On Wed, 31 Dec 2008 22:11:41 -0500
> Chong Yidong <[email-masked]> wrote:
>
>> Hi Michael, could you take a look at this bug report?  
>> 
>> If you have problems with the attachments, the bug can be viewed online
>> at http://debbugs.gnu.org/cgi/bugreport.cgi?bug=1742
>> 
>> Thanks.
>> 
>> >>> David Abrahams <[email-masked]> wrote:
>> 
>> 0. Extract the enclosed files to /tmp
>> 
>> 1. Evaluate:
>> 
>>   (custom-set-variables
>>    '(ediff-skip-merge-regions-that-differ-from-default t)
>>   )
>>   (ediff "/tmp/x" "/tmp/y")
>>   
>> 2. Hit the spacebar
>> 
>> Result: "You have killed a vital Ediff buffer---you must leave Ediff
>> now!"
>> 
>> This happens even with "emacs -q"
>>